<ion-header>
  <div id="menu">
    <ul>
      <li><a (click) = navToHome()>Home</a></li>
      <li><a (click) = navToTest()>Test</a></li>
    </ul>
  </div>
</ion-header>

<ion-content>
  <div class="sidenav">
    <div class="menu-box" style="text-align: center;">
      <img style="width: 30px; height: 30px;" src="../../assets/signature.png"><br>
      <p style="color: white;"><font size="2">Signatures</font></p>
    </div><br>

    <div style="text-align: center;">
      <hr class="new1">
    </div>

    <div class="menu-box" style="text-align: center;"(click)='navToCreate()'>
      <img style="width: 30px; height: 30px;" src="../../assets/or.png"><br>
      <p style="color: white;"><font size="2">Organnizations</font></p>
    </div><br>

    <div style="text-align: center;">
      <hr class="new1">
    </div>

    <div class="menu-box" style="text-align: center;" (click) = navToAmin()>
      <img style="width: 30px; height: 30px;" src="../../assets/admin.png"><br>
      <p style="color: white;"><font size="2">Admin</font></p>
    </div><br>

    <hr class="new1">

    <div class="create" (click) = navToNew()>
      <img style="width: 30px; height: 30px; margin-top: 5px;" src="../../assets/plus.jpg"><br>
      <p><b>CREATE</b></p>
    </div><br>

    <hr class="new1">
  </div>

  
  <div class="main">
    <br><br><br>
    <h1>Create New Organization</h1>

    <div style="text-align: center;">
      <hr class="new1">
    </div>

    <div> 
      <ion-item lines="none">
        <label>Organization name: </label>
        <input type="text" [(ngModel)]="name" id= 'myInput'><br><br>
        <ion-icon onclick="document.getElementById('myInput').value = ''" name="close"></ion-icon>
      </ion-item>
      <div *ngIf="organizationsService.isCreatingOr == false">
        <button (click) = "createNamespaceWithStorage()" class="btn-submit" type="button">
          <label style="color: white;"><font size="3">Create Organization  </font></label>
          <ion-icon name="arrow-forward" style="color: white;"></ion-icon>
        </button>
      </div>
      <div *ngIf="organizationsService.isCreatingOr == true">
        <ion-item lines="none">
          <ion-label style="color: darkgray;"><i>Organization is creating.....</i> </ion-label>
          <ion-spinner></ion-spinner>
        </ion-item>
      </div>
    </div>
  </div>
</ion-content>

